

#version 3.0
global_settings { assumed_gamma 2.2 }

#include "colors.inc"
#include "anim.inc"
#include "__wood.inc"
#include "eye.inc"


camera {
  location  <-5, 4, 8>
  look_at <-7, 2, 13>
  rotate <0,0,0>
}


light_source { < 30, 40, -30> color red .8 green .8 blue .8
		fade_distance 65
		fade_power 3}


#declare MM =
    texture { pigment { color Brown } }



#declare Tapeta =
   texture {
      pigment { image_map {tga "pattern"}
		scale <1,2,1>
		scale 3
		translate <0,1.6,0>}
      normal { bumps 0.05 scale <0.5,2,0.5> }
      finish {	ambient 0.2
		diffuse 0.95
		roughness 0.4}
		//crand 0.05}
	}


// corner
plane {x, -14
	texture { Tapeta rotate y*90 }
        //pigment { color rgb<.9,.9,.9>}
        finish { ambient .2}
	}

plane {z, 14
	texture { Tapeta translate <0.6,0,0>}
        //pigment { color rgb<.9,.9,.9>}
        finish { ambient .2}
	}

plane {x, +40
	texture { Tapeta rotate y*90 }
        //pigment { color rgb<.9,.9,.9>}
        finish { ambient .2}
	}

plane {z, -40
	texture { Tapeta translate <0.6,0,0>}
        //pigment { color rgb<.9,.9,.9>}
        finish { ambient .2}
	}



// border
#declare Obruba =
merge { box { <0,0,0>,<1,-3,-150>}
	cylinder { <0,0,0>,<0,0,-150>,1}
	texture { Parquet_Wood scale <.2,.3,1> rotate <0,0,90>}
        //pigment { color rgb<.7,.7,.7>}
        finish { ambient .6}
	scale 0.3
	}


object {Obruba translate <-14,1.6,14>}
object {Obruba rotate y*90 translate <16,1.6,14>}



object { Eye
	 scale .88
	 rotate <0,66.5,18>
	 translate <xTu,0.8+_9_t,zTu>}



blob {
  threshold 0.5
  sphere { <xTu,0.8,zTu>, 0.5, -3
	     translate <-xTu,-.8,-zTu>
	     scale _scl
	     translate <.3,0,-.7>        // <.3,_9_t+.1,-.7>
	     rotate <0,0,18>
             translate <xTu,.8+_9_t,zTu>	
             translate <_pol_x,0,_pol_z>
	     texture { Skin }}
  
  sphere { <xTu,_1_y,zTu>, _1_rad,3}	//1
  sphere { <xTu,0.8,zTu>, .7,1		//2
	   translate <0,_2_t,0>}

  sphere { <xTu,0.8,zTu>, .7,1		//3
	   translate <0,_3_t,0>
           texture { Skin }}
  sphere { <xTu,0.8,zTu>, .7,1		//4
	   translate <0,_4_t,0>
           texture { Skin }}
  sphere { <xTu,0.8,zTu>, .7,1		//5
	   translate <0,_5_t,0>
           texture { Skin }}
  sphere { <xTu,0.8,zTu>, .7,1		//6
	   translate <0,_6_t,0>
           texture { Skin }}
  sphere { <xTu,0.8,zTu>, .7,1		//7
	   translate <0,_7_t,0>
           texture { Skin }}
  sphere { <xTu,0.8,zTu>, .7,1		//8
	   translate <0,_8_t,0>
           texture { Skin }}
  sphere { <xTu,0.8,zTu>, _9_rad,3		//9
	   translate <0,_9_t,0>
           texture { Skin }}

  cylinder { <-15,0,15>,<-15,0,-19>,1,2 }
  cylinder { <-14.75,0,15>,<-14.75,0,-19>,1,2 }
  cylinder { <-14.5,0,15>,<-14.5,0,-19>,1,2 }
  cylinder { <-14.25,0,15>,<-14.25,0,-19>,1,2 }
  cylinder { <-14,0,15>,<-14,0,-19>,1,2 }
  cylinder { <-13.75,0,15>,<-13.75,0,-19>,1,2 }
  cylinder { <-13.5,0,15>,<-13.5,0,-19>,1,2 }
  cylinder { <-13.25,0,15>,<-13.25,0,-19>,1,2 }
  cylinder { <-13,0,15>,<-13,0,-19>,1,2 }
  cylinder { <-12.75,0,15>,<-12.75,0,-19>,1,2 }
  cylinder { <-12.5,0,15>,<-12.5,0,-19>,1,2 }
  cylinder { <-12.25,0,15>,<-12.25,0,-19>,1,2 }
  cylinder { <-12,0,15>,<-12,0,-19>,1,2 }
  cylinder { <-11.75,0,15>,<-11.75,0,-19>,1,2 }
  cylinder { <-11.5,0,15>,<-11.5,0,-19>,1,2 }
  cylinder { <-11.25,0,15>,<-11.25,0,-19>,1,2 }
  cylinder { <-11,0,15>,<-11,0,-19>,1,2 }
  cylinder { <-10.75,0,15>,<-10.75,0,-19>,1,2 }
  cylinder { <-10.5,0,15>,<-10.5,0,-19>,1,2 }
  cylinder { <-10.25,0,15>,<-10.25,0,-19>,1,2 }
  cylinder { <-10,0,15>,<-10,0,-19>,1,2 }
  cylinder { <-9.75,0,15>,<-9.75,0,-19>,1,2 }
  cylinder { <-9.5,0,15>,<-9.5,0,-19>,1,2 }
  cylinder { <-9.25,0,15>,<-9.25,0,-19>,1,2 }
  cylinder { <-9,0,15>,<-9,0,-19>,1,2 }
  cylinder { <-8.75,0,15>,<-8.75,0,-19>,1,2 }
  cylinder { <-8.5,0,15>,<-8.5,0,-19>,1,2 }
  cylinder { <-8.25,0,15>,<-8.25,0,-19>,1,2 }
  cylinder { <-8,0,15>,<-8,0,-19>,1,2 }
  cylinder { <-7.75,0,15>,<-7.75,0,-19>,1,2 }
  cylinder { <-7.5,0,15>,<-7.5,0,-19>,1,2 }
  cylinder { <-7.25,0,15>,<-7.25,0,-19>,1,2 }
  cylinder { <-7,0,15>,<-7,0,-19>,1,2 }
  cylinder { <-6.75,0,15>,<-6.75,0,-19>,1,2 }
  cylinder { <-6.5,0,15>,<-6.5,0,-19>,1,2 }
  cylinder { <-6.25,0,15>,<-6.25,0,-19>,1,2 }
  cylinder { <-6,0,15>,<-6,0,-19>,1,2 }
  cylinder { <-5.75,0,15>,<-5.75,0,-19>,1,2 }
  cylinder { <-5.5,0,15>,<-5.5,0,-19>,1,2 }
  cylinder { <-5.25,0,15>,<-5.25,0,-19>,1,2 }
  cylinder { <-5,0,15>,<-5,0,-19>,1,2 }
  cylinder { <-4.75,0,15>,<-4.75,0,-19>,1,2 }
  cylinder { <-4.5,0,15>,<-4.5,0,-19>,1,2 }
  cylinder { <-4.25,0,15>,<-4.25,0,-19>,1,2 }
  cylinder { <-4,0,15>,<-4,0,-19>,1,2 }
  cylinder { <-3.75,0,15>,<-3.75,0,-19>,1,2 }
  cylinder { <-3.5,0,15>,<-3.5,0,-19>,1,2 }
  cylinder { <-3.25,0,15>,<-3.25,0,-19>,1,2 }
  cylinder { <-3,0,15>,<-3,0,-19>,1,2 }
  cylinder { <-2.75,0,15>,<-2.75,0,-19>,1,2 }
  cylinder { <-2.5,0,15>,<-2.5,0,-19>,1,2 }
  cylinder { <-2.25,0,15>,<-2.25,0,-19>,1,2 }
  cylinder { <-2,0,15>,<-2,0,-19>,1,2 }
  cylinder { <-1.75,0,15>,<-1.75,0,-19>,1,2 }
  cylinder { <-1.5,0,15>,<-1.5,0,-19>,1,2 }
  cylinder { <-1.25,0,15>,<-1.25,0,-19>,1,2 }
  cylinder { <-1,0,15>,<-1,0,-19>,1,2 }
  cylinder { <-0.75,0,15>,<-0.75,0,-19>,1,2 }
  cylinder { <-0.5,0,15>,<-0.5,0,-19>,1,2 }
  cylinder { <-0.25,0,15>,<-0.25,0,-19>,1,2 }
  cylinder { <0,0,15>,<0,0,-19>,1,2 }
  cylinder { <0.25,0,15>,<0.25,0,-19>,1,2 }
  cylinder { <0.5,0,15>,<0.5,0,-19>,1,2 }
  cylinder { <0.75,0,15>,<0.75,0,-19>,1,2 }
  cylinder { <1,0,15>,<1,0,-19>,1,2 }
  cylinder { <1.25,0,15>,<1.25,0,-19>,1,2 }
  cylinder { <1.5,0,15>,<1.5,0,-19>,1,2 }
  cylinder { <1.75,0,15>,<1.75,0,-19>,1,2 }
  cylinder { <2,0,15>,<2,0,-19>,1,2 }
  cylinder { <2.25,0,15>,<2.25,0,-19>,1,2 }
  cylinder { <2.5,0,15>,<2.5,0,-19>,1,2 }
  cylinder { <2.75,0,15>,<2.75,0,-19>,1,2 }
  cylinder { <3,0,15>,<3,0,-19>,1,2 }
  cylinder { <3.25,0,15>,<3.25,0,-19>,1,2 }
  cylinder { <3.5,0,15>,<3.5,0,-19>,1,2 }
  cylinder { <3.75,0,15>,<3.75,0,-19>,1,2 }
  cylinder { <4,0,15>,<4,0,-19>,1,2 }
  cylinder { <4.25,0,15>,<4.25,0,-19>,1,2 }
  cylinder { <4.5,0,15>,<4.5,0,-19>,1,2 }
  cylinder { <4.75,0,15>,<4.75,0,-19>,1,2 }
  cylinder { <5,0,15>,<5,0,-19>,1,2 }
  cylinder { <5.25,0,15>,<5.25,0,-19>,1,2 }
  cylinder { <5.5,0,15>,<5.5,0,-19>,1,2 }
  cylinder { <5.75,0,15>,<5.75,0,-19>,1,2 }
  cylinder { <6,0,15>,<6,0,-19>,1,2 }
  cylinder { <6.25,0,15>,<6.25,0,-19>,1,2 }
  cylinder { <6.5,0,15>,<6.5,0,-19>,1,2 }
  cylinder { <6.75,0,15>,<6.75,0,-19>,1,2 }
  cylinder { <7,0,15>,<7,0,-19>,1,2 }
  cylinder { <7.5,0,15>,<7.5,0,-19>,1,2 }
  cylinder { <8,0,15>,<8,0,-19>,1,2 }
  cylinder { <8.25,0,15>,<8.25,0,-19>,1,2 }
  cylinder { <8.5,0,15>,<8.5,0,-19>,1,2 }
  cylinder { <8.75,0,15>,<8.75,0,-19>,1,2 }
  cylinder { <9,0,15>,<9,0,-19>,1,2 }
  cylinder { <9.25,0,15>,<9.25,0,-19>,1,2 }
  cylinder { <9.5,0,15>,<9.5,0,-19>,1,2 }
  cylinder { <9.75,0,15>,<9.75,0,-19>,1,2 }
  cylinder { <10,0,15>,<10,0,-19>,1,2 }
  cylinder { <10.25,0,15>,<10.25,0,-19>,1,2 }
  cylinder { <10.5,0,15>,<10.5,0,-19>,1,2 }
  cylinder { <10.75,0,15>,<10.75,0,-19>,1,2 }
  cylinder { <11,0,15>,<11,0,-19>,1,2 }
  cylinder { <11.25,0,15>,<11.25,0,-19>,1,2 }
  cylinder { <11.5,0,15>,<11.5,0,-19>,1,2 }
  cylinder { <11.75,0,15>,<11.75,0,-19>,1,2 }
  cylinder { <12,0,15>,<12,0,-19>,1,2 }
  cylinder { <12.25,0,15>,<12.25,0,-19>,1,2 }
  cylinder { <12.5,0,15>,<12.5,0,-19>,1,2 }


  texture  { brick texture {MM}, texture {Parquet_Wood scale <.03,.03,.09>  rotate <0,0,90>}
                  brick_size <5.5,2,30>
                  mortar 0.023
		  rotate <90,0,0> }
        
}

